/*******************************************************************
 * 							Pilot Software
 *
 *  Copyright(c) 1996, Palm Computing Inc., All Rights Reserved  
 *
 *-------------------------------------------------------------------
 * FileName:
 *		TapTest.r
 *
 * Description:
 *		Resource description for generating Pilot resource database.
 *
 * To use this file for another application, replace all occurances 
 * of TapTest with the application's name and change the list of
 * resource files to match those used.
 *
 *******************************************************************/


//-------------------------------------------------------------
// Include definitions of basic Touchdown resources.
//-------------------------------------------------------------
#include <BuildRules.h>
#include <SystemMgr.rh>



//-------------------------------------------------------------
// Code and Globals resources
//-------------------------------------------------------------
// Include the  main code resource
include "TapTest.code" 'CODE' 1 as sysResTAppCode 1;

// Include the CODE 0 resource which has the global size information in it
include "TapTest.code" 'CODE' 0 as sysResTAppCode 0;

// Include the DATA 0 resource which has the initialized global data info
include "TapTest.code" 'DATA' 0 as sysResTAppGData 0;



//-------------------------------------------------------------
// Include the TapTest UI resources
//-------------------------------------------------------------
#if LANGUAGE==LANGUAGE_ENGLISH
include ":Rsc:TapTestMain.rsrc";

#else
#error "The compiler variable LANGUAGE must be defined"

#endif


//-------------------------------------------------------------
// Our PREF resource. The current version of the OS does not
// use the information in this resource but it should be included
// for future compatibility.
//-------------------------------------------------------------
resource sysResTAppPrefs 0 {
	30,								// priority
	0x1000,							// stack size
	0x1000							// minHeapSpace
	}
	
	
